<?php
class MO extends plxPlugin {
	public function __construct($default_lang) {
		# appel du constructeur de la classe plxPlugin (obligatoire)
		parent::__construct($default_lang);

		# limite l'accès à l'écran d'administration du plugin
		# PROFIL_ADMIN , PROFIL_MANAGER , PROFIL_MODERATOR , PROFIL_EDITOR , PROFIL_WRITER
		$this->setConfigProfil(PROFIL_ADMIN);
		
		# Déclaration d'un hook (existant ou nouveau)
		$this->addHook('IndexBegin','IndexBegin');
		$this->addHook('AdminAuthPrepend','AdminAuthPrepend');
		$this->addHook('AdminAuthTop','AdminAuthTop');
		
	}

	# Activation / désactivation
	public function OnActivate() {
		# code à exécuter à l’activation du plugin
	}
	public function OnDeactivate() {
		# code à exécuter à la désactivation du plugin
	}
	
	# HOOKS
	public function IndexBegin(){
		// bloque l'accès si pas connecté et renvoie à la page de login
		echo '<?php if(
			(!isset($_SESSION["hash"])) 
			OR (!isset($_SESSION["user"]) 
			OR $_SESSION["user"]==""))
			{// exit ("redirige");
				header("Location: core/admin/auth.php?p=".htmlentities($_SERVER["REQUEST_URI"]));
				exit;
			} ?>';
	}
	public function AdminAuthPrepend(){

		echo '<?php 
		$redirect="";
		if(!empty($_GET["p"])) {			
			$redirect = strip_tags(urldecode($_GET["p"]));
		}else{ $redirect = "'.PLX_ROOT.'"; }
		# Authentification
		if(!empty($_POST["login"]) AND !empty($_POST["password"])) {
			$connected = false;
			foreach($plxAdmin->aUsers as $userid => $user) {
				if ($_POST["login"]==$user["login"] AND sha1($user["salt"].md5($_POST["password"]))==$user["password"] AND $user["active"] AND !$user["delete"]) {
					$_SESSION["user"] = $userid;
					$_SESSION["profil"] = $user["profil"];
					$_SESSION["hash"] = plxUtils::charAleatoire(10);
					$_SESSION["domain"] = $session_domain;
					$_SESSION["lang"] = $user["lang"];
					$connected = true;
				}
			}

			if($connected) { 
				header("Location: ".$redirect);
				exit;
			} else {
				$msg = L_ERR_WRONG_PASSWORD;
				$error = "error";
			}
		}

		?>';
	}	
	public function AdminAuthTop(){

		echo '<?php 
			$redirect="";
			if(!empty($_GET["p"])) {			
				$redirect = strip_tags(urldecode($_GET["p"]));
			}
		?>';
	}

			

}